<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryHashDatabase..::.Open Method (String, String, SecondaryHashDatabaseConfig)
SecondaryHashDatabase Class See Also Send Feedback

Instantiate a new SecondaryHashDatabase object, open the database represented by Filename and associate the database with the primary index.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public static SecondaryHashDatabase Open(
    	string Filename,
    	string DatabaseName,
    	SecondaryHashDatabaseConfig cfg
    )

Visual Basic (Declaration)

    Public Shared Function Open ( _
    	Filename As String, _
    	DatabaseName As String, _
    	cfg As SecondaryHashDatabaseConfig _
    ) As SecondaryHashDatabase

Visual C++

    public:
    static SecondaryHashDatabase^ Open(
    	String^ Filename,
    	String^ DatabaseName,
    	SecondaryHashDatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database. In-memory databases never intended to be preserved on disk may be created by setting this parameter to null.

DatabaseName
  Type: System..::.String
  This parameter allows applications to have multiple databases in a single file. Although no DatabaseName needs to be specified, it is an error to attempt to open a second database in a file that was not initially created using a database name.

cfg
  Type: BerkeleyDB..::.SecondaryHashDatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If both Filename and DatabaseName are null, the database is strictly temporary and cannot be opened by any other thread of control, thus the database can only be accessed by sharing the single database object that created it, in circumstances where doing so is safe. If Filename is null and DatabaseName is non-null, the database can be opened by other threads of control and will be replicated to client sites in any replication group.

If AutoCommit is set, the operation will be implicitly transaction protected. Note that transactionally protected operations on a datbase object requires the object itself be transactionally protected during its open.

# See Also

SecondaryHashDatabase Class
Open Overload
BerkeleyDB Namespace